summaryrefslogtreecommitdiff
path: root/install_prepare.sh
diff options
context:
space:
mode:
authorTom Smeding <tom.smeding@gmail.com>2020-06-18 21:46:08 +0200
committerTom Smeding <tom.smeding@gmail.com>2020-06-18 21:46:08 +0200
commit569e5b05c483a152827faaeb54136fa2da7ede8e (patch)
tree6fce300ea72eb0c1284b35cd84c933c37dcdfc69 /install_prepare.sh
parentf16a6e1bc9948648082ef07ad703cc0b00ebfff5 (diff)
Downloads in installation script
Diffstat (limited to 'install_prepare.sh')
-rwxr-xr-xinstall_prepare.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/install_prepare.sh b/install_prepare.sh
new file mode 100755
index 0000000..2b39985
--- /dev/null
+++ b/install_prepare.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -xeuo pipefail
+
+abbrgen_execname="modules/abbrgen/abbreviation_gen_`uname`"
+test -f "$abbrgen_execname" || \
+ g++ -Wall -Wextra -std=c++11 -O3 -o "$abbrgen_execname" modules/abbrgen/abbreviation_gen.cpp
+
+test -f modules/unicode/UnicodeData.txt || \
+ curl -Ls 'https://www.unicode.org/Public/13.0.0/ucd/UnicodeData.txt' >modules/unicode/UnicodeData.txt